JUCE: MathConstants< FloatType > Struct Template Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Static Public Attributes | List of all members
MathConstants< FloatType > Struct Template Reference
juce_core » maths

Commonly used mathematical constants. More...

`#include <juce_MathsFunctions.h>`

## Static Public Attributes
static constexpr FloatType | pi = static_cast<FloatType> (3.141592653589793238L)
| A predefined value for Pi.
static constexpr FloatType | twoPi = static_cast<FloatType> (2 * 3.141592653589793238L)
| A predefined value for 2 * Pi.
static constexpr FloatType | halfPi = static_cast<FloatType> (3.141592653589793238L / 2)
| A predefined value for Pi / 2.
static constexpr FloatType | euler = static_cast<FloatType> (2.71828182845904523536L)
| A predefined value for Euler's number.
static constexpr FloatType | sqrt2 = static_cast<FloatType> (1.4142135623730950488L)
| A predefined value for sqrt(2)

## Detailed Description

template<typename FloatType>
struct MathConstants< FloatType >

Commonly used mathematical constants.

## Member Data Documentation

## ◆ pi

template<typename FloatType >

constexpr FloatType MathConstants< FloatType >::pi = static_cast<FloatType> (3.141592653589793238L)
| staticconstexpr

A predefined value for Pi.

## ◆ twoPi

template<typename FloatType >

constexpr FloatType MathConstants< FloatType >::twoPi = static_cast<FloatType> (2 * 3.141592653589793238L)
| staticconstexpr

A predefined value for 2 * Pi.

## ◆ halfPi

template<typename FloatType >

constexpr FloatType MathConstants< FloatType >::halfPi = static_cast<FloatType> (3.141592653589793238L / 2)
| staticconstexpr

A predefined value for Pi / 2.

## ◆ euler

template<typename FloatType >

constexpr FloatType MathConstants< FloatType >::euler = static_cast<FloatType> (2.71828182845904523536L)
| staticconstexpr

A predefined value for Euler's number.

## ◆ sqrt2

template<typename FloatType >

constexpr FloatType MathConstants< FloatType >::sqrt2 = static_cast<FloatType> (1.4142135623730950488L)
| staticconstexpr

A predefined value for sqrt(2)

The documentation for this struct was generated from the following file:

- juce_MathsFunctions.h